import { CSSProperties } from "react";
export type TListNavOption = {
    id: string;
    tooltip: string;
    iconSrc: string;
    entityName?: string;
    entityType?: string;
    attributeName?: string;
    organizationId?: string;
    showFilterButton?: boolean;
    readonly?: boolean;
    disabled?: boolean;
    hidden?: boolean;
    type: "tree" | "tags" | "lists";
};
export declare const CATEGORIES_OPTION: TListNavOption;
export declare const TAGS_OPTION: TListNavOption;
export declare const LISTS_OPTION: TListNavOption;
export type TListNavSectionProps = {
    currentId?: string;
    options?: TListNavOption[];
    wrapperStyle: CSSProperties;
    smallScreen: boolean;
    showDrawer: boolean;
    onCloseDrawer: () => void;
    onToggleClose: (closed: boolean) => void;
    onSelectOption: (option: TListNavOption) => void;
};
export declare const ListNavSection: (props: TListNavSectionProps) => JSX.Element;
export default ListNavSection;
