import { CSSProperties } from "react";
export type TFileType = "Photo" | "Document" | "Video" | "Audio" | "Extract";
export type TUploaderProps = {
    entityName: string;
    fileType: TFileType;
    recordId: string;
    attributeName: string;
    wrapperClassName?: string;
    wrapperStyle?: CSSProperties;
    uploadControlWrapperClassName?: string;
    uploadControlWrapperStyle?: CSSProperties;
    iconStyle?: CSSProperties;
    label?: string;
    signedUrlSize?: "raw" | 120 | 240 | 480 | 960 | 1440;
    signedUrlFormat?: "original" | "webp";
    onStart?: any;
    onSuccess?: any;
    onRemove?: any;
    onError?: any;
    value?: string;
    uiFormat?: "photo" | "icon";
    iconUrl?: string;
    accept?: string;
    fileNamePrefix?: string;
    hideLabel?: boolean;
    hideDeleteButton?: boolean;
    autoPreviewResize?: boolean;
    resultType?: "content" | "upload" | "both";
    disabled?: boolean;
};
export declare const Uploader: (props: TUploaderProps) => JSX.Element;
export default Uploader;
