//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React from "react";
import SVG from "primeobjects-ui-web-basic/build/cjs/controls/svg";
import GradientDiv from "primeobjects-ui-web-basic/build/cjs/controls/gradient-div";
import { observer } from "mobx-react-lite";
import { useContextStore } from "primeobjects-ui-web-store";
export var AppTopOrg = observer(function (props) {
    var _a, _b, _c, _d;
    var primaryColor = props.primaryColor;
    var contextStore = useContextStore();
    var context = JSON.parse(contextStore.data);
    var organization = context.organization;
    var wrapperStyle = (_a = props.wrapperStyle) !== null && _a !== void 0 ? _a : {};
    var wrapperClassName = (_b = props.wrapperClassName) !== null && _b !== void 0 ? _b : "";
    var textWrapperStyle = (_c = props.textWrapperStyle) !== null && _c !== void 0 ? _c : {};
    var textWrapperClassName = (_d = props.textWrapperClassName) !== null && _d !== void 0 ? _d : "";
    return (React.createElement("div", { className: "flex flex-1 h-full p-2 items-center justify-center leading-none ".concat(props.onClick ? "cursor-pointer" : "", " ").concat(wrapperClassName), style: wrapperStyle, onClick: props.onClick ? props.onClick : function () { } },
        React.createElement("div", { className: "flex flex-col items-center", style: { width: 36 } },
            React.createElement(SVG, { size: 36, src: "/icons/app/organization.svg", color: primaryColor["500"] })),
        organization && (React.createElement("div", { className: "flex flex-col w-full ml-2 ".concat(textWrapperClassName), style: textWrapperStyle },
            React.createElement("div", { className: "w-full text-xs text-gray-500" }, "Organization"),
            React.createElement("div", { className: "flex flex-row w-full" },
                React.createElement(GradientDiv, { className: "w-full leading-5 font-medium text-base text-gray-800" }, organization.name))))));
});
export default AppTopOrg;
//# sourceMappingURL=app-top-org.js.map