//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import SVG from "primeobjects-ui-web-basic/build/cjs/controls/svg";
import Tooltip from "../../controls/antd/tooltip";
import { COLORS } from "primeobjects-helper-util/build/cjs/colors";
import { intersectionWith, isEqual, each, last } from "lodash";
import { isNonEmptyString } from "primeobjects-helper-util/build/cjs/core";
import { getWebLocation } from "primeobjects-helper-util/build/cjs/web";
export var NavSectionItemButton = function (props) {
    var onClickItem = props.onClickItem, item = props.item, color = props.color, selected = props.selected, navSize = props.navSize, iconColor = props.iconColor, textStyle = props.textStyle, className = props.className, style = props.style;
    var textClassName = props.textClassName ? props.textClassName : "";
    return (React.createElement("div", { className: "w-full flex p-3 flex-row rounded cursor-pointer items-center ".concat(selected ? "bg-".concat(color.name, "-400") : "hover:shadow", "  ").concat(navSize == "sm" ? "justify-center" : "", " ").concat(item.className ? item.className : className ? className : ""), style: item.style ? item.style : style ? style : {}, onClick: function () { return onClickItem && onClickItem(item); } }, navSize == "sm" ? (React.createElement(Tooltip, { title: item.title, color: color["400"], placement: "right" },
        React.createElement("div", { className: "flex flex-col items-center", style: { width: 28 } },
            React.createElement(SVG, { size: 28, src: item.icon, color: selected
                    ? COLORS.WHITE
                    : item.iconColor
                        ? item.iconColor
                        : iconColor
                            ? iconColor
                            : COLORS.BLACK })))) : (React.createElement(React.Fragment, null,
        React.createElement("div", { className: "flex flex-col items-center", style: { width: 28 }, title: item.title },
            React.createElement(SVG, { size: 28, src: item.icon, color: selected
                    ? COLORS.WHITE
                    : item.iconColor
                        ? item.iconColor
                        : iconColor
                            ? iconColor
                            : COLORS.BLACK })),
        React.createElement("div", { className: "flex pl-3 font-medium leading-none items-center text-base ".concat(selected ? "text-white" : "text-black", " ").concat(textClassName), style: textStyle }, item.title)))));
};
export var NavSectionItem = function (props) {
    var item = props.item, wrapperClassName = props.wrapperClassName, wrapperStyle = props.wrapperStyle;
    return (React.createElement("div", { className: "w-full px-2 py-1 flex flex-row items-center ".concat(item.wrapperClassName
            ? item.wrapperClassName
            : wrapperClassName
                ? wrapperClassName
                : ""), style: item.wrapperStyle
            ? item.wrapperStyle
            : wrapperStyle
                ? wrapperStyle
                : {} },
        React.createElement(NavSectionItemButton, __assign({}, props))));
};
export var checkNavRole = function (item, user) {
    var _a;
    return user &&
        item &&
        item.roles &&
        ((_a = item.roles) === null || _a === void 0 ? void 0 : _a.length) > 0 &&
        intersectionWith(item.roles, user.roles, isEqual).length == 0
        ? false
        : true;
};
export var getNavItem = function (navigation, user, allowGuest, mustMatchRouter) {
    var _a;
    var firstItem = undefined;
    var selectedItem = undefined;
    var path = (_a = getWebLocation("".concat(window.location))) === null || _a === void 0 ? void 0 : _a.path;
    var pathInfo = path ? path.split("/") : [];
    if ((user || allowGuest) && pathInfo.length > 0) {
        if ((pathInfo === null || pathInfo === void 0 ? void 0 : pathInfo.length) == 4 || (pathInfo === null || pathInfo === void 0 ? void 0 : pathInfo.length) == 3) {
            path = last(pathInfo);
        }
        each(navigation, function (nav) {
            if (!selectedItem && checkNavRole(nav, user)) {
                each(nav.items, function (item) {
                    if (!firstItem &&
                        item.hidden != true &&
                        checkNavRole(item, user)) {
                        firstItem = item;
                    }
                    if (!selectedItem &&
                        item.hidden != true &&
                        checkNavRole(item, user) &&
                        isNonEmptyString(item.src) &&
                        last(item.src.toLowerCase().split("/")) == path) {
                        selectedItem = item;
                    }
                });
            }
        });
    }
    return selectedItem
        ? selectedItem
        : !mustMatchRouter
            ? firstItem
            : undefined;
};
//# sourceMappingURL=item.js.map