//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { observer } from "mobx-react-lite";
import Img from "primeobjects-ui-web-basic/build/cjs/controls/img";
import { useEnvStore } from "primeobjects-ui-web-store/build/cjs/stores/env";
export var SitePageSplit = observer(function (props) {
    var coverImageUrl = props.coverImageUrl
        ? props.coverImageUrl
        : "/images/cover.webp";
    var coverImageLocation = props.coverImageLocation == "image" ? "image" : "background";
    var coverImageBackgroundSize = props.coverImageBackgroundSize == "cover" ? "cover" : "auto";
    var coverImageAlt = props.coverImageAlt
        ? props.coverImageAlt
        : coverImageUrl;
    var leftSideClassName = props.leftSideClassName
        ? props.leftSideClassName
        : "";
    var leftSideStyle = props.leftSideStyle ? props.leftSideStyle : {};
    var rightSideClassName = props.rightSideClassName
        ? props.rightSideClassName
        : "";
    var rightSideStyle = props.rightSideStyle ? props.rightSideStyle : {};
    var envStore = useEnvStore();
    return (React.createElement("main", { className: "max-w-7xl px-6 sm:px-8 lg:px-10 mx-auto flex flex-row", 
        // className2="mx-auto justify-end min-h-full flex flex-row max-w-screen-xl"
        style: {
            minHeight: envStore.height - 170
        } },
        React.createElement("div", { className: "hidden min-h-full w-full max-w-screen-xl mx-auto lg:flex ".concat(leftSideClassName), style: __assign({ maxWidth: "50%" }, leftSideStyle) },
            React.createElement("div", { className: "relative flex-1", style: coverImageUrl
                    ? {
                        backgroundImage: "url(".concat(coverImageUrl, ")"),
                        backgroundPosition: "center",
                        backgroundSize: coverImageBackgroundSize
                    }
                    : {} },
                coverImageLocation == "image" && (React.createElement(Img, { className: "absolute inset-0 h-full w-full object-cover", src: coverImageUrl, alt: coverImageAlt })),
                props.leftSideChildren)),
        React.createElement("div", { className: "flex-1 flex flex-col justify-center lg:pl-10 ".concat(rightSideClassName), style: rightSideStyle },
            props.rightSideChildren,
            props.children)));
});
export default SitePageSplit;
//# sourceMappingURL=site-page-split.js.map